
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Arc &#8212; Documentation Segmentation Image 2.0</title>
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/translations.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Recherche" href="../search.html" /> 
  </head><body>
<div style="background-color: white; text-align: left; padding: 10px 10px 15px 15px">
  <a href="../index.html">
  <img src="../_static/logo.png" border="0" alt="Segmentation Image"/>
  </a>
</div>

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="Index général"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="../index.html">Segmentation Image home</a>| </li>
<li><a href="../contents.html">Documentation </a> &raquo;</li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Code du module</a> &#187;</li> 
      </ul>
    </div>

      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<div id="searchbox" style="display: none" role="search">
  <h3>Recherche rapide</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <h1>Code source de Arc</h1><div class="highlight"><pre>
<span></span><span class="c1">#####################################</span>
<span class="c1"># Cecile Prouteau</span>
<span class="c1"># CTES Projet Math-Info</span>
<span class="c1"># Projet segmentation d&#39;image</span>
<span class="c1"># 15/01/2019</span>
<span class="c1"># Classe Arc Version 0.1</span>
<span class="c1">#####################################</span>

<span class="c1">### IMPORTATION DES BIBLIOTHEQUES</span>
<span class="kn">import</span> <span class="nn">math</span>

<span class="c1">### IMPORTATION DES CLASESS</span>
<span class="kn">from</span> <span class="nn">Sommet</span> <span class="k">import</span> <span class="n">Sommet</span>

<span class="c1">### DEBUT de la classe Arc</span>

<div class="viewcode-block" id="Arc"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc">[docs]</a><span class="k">class</span> <span class="nc">Arc</span><span class="p">:</span>
<div class="viewcode-block" id="Arc.__init__"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc.__init__">[docs]</a>    <span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">origine</span><span class="p">,</span><span class="n">destination</span><span class="p">,</span><span class="n">poids</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;Origine et destination sont des sommets, poids est un nombre entier&quot;&quot;&quot;</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">=</span><span class="n">origine</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">=</span><span class="n">destination</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">poids</span><span class="o">=</span><span class="n">poids</span>
        <span class="sd">&quot;&quot;&quot;distinguer capacité et flow&quot;&quot;&quot;</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">capacite</span><span class="o">=</span><span class="n">poids</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">flow</span><span class="o">=</span><span class="mi">0</span></div>
    
<div class="viewcode-block" id="Arc.origine"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc.origine">[docs]</a>    <span class="k">def</span> <span class="nf">origine</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;retourne l&#39;origine de l&#39;arc&quot;&quot;&quot;</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">origine</span> </div>
        
<div class="viewcode-block" id="Arc.destination"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc.destination">[docs]</a>    <span class="k">def</span> <span class="nf">destination</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;retourne la destination de l&#39;arc&quot;&quot;&quot;</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">destination</span> </div>
        
<div class="viewcode-block" id="Arc.poids"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc.poids">[docs]</a>    <span class="k">def</span> <span class="nf">poids</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;retourne le poids de l&#39;arc&quot;&quot;&quot;</span>
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">poids</span></div>
    
    <span class="k">def</span> <span class="nf">inverse_poids</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">if</span> <span class="bp">self</span><span class="o">.</span><span class="n">poids</span> <span class="o">==</span> <span class="mi">0</span> <span class="p">:</span>
            <span class="k">return</span> <span class="n">math</span><span class="o">.</span><span class="n">inf</span>
        <span class="k">else</span> <span class="p">:</span>
            <span class="k">return</span> <span class="mi">1</span><span class="o">/</span><span class="bp">self</span><span class="o">.</span><span class="n">poids</span>
    
<div class="viewcode-block" id="Arc.est_identique"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc.est_identique">[docs]</a>    <span class="k">def</span> <span class="nf">est_identique</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">arc</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;retourne vrai si self et arc sont égaux&quot;&quot;&quot;</span> 
        <span class="k">return</span> <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">.</span><span class="n">est_egal</span><span class="p">(</span><span class="n">arc</span><span class="o">.</span><span class="n">origine</span><span class="p">)</span> <span class="ow">and</span> <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">.</span><span class="n">est_egal</span><span class="p">(</span><span class="n">arc</span><span class="o">.</span><span class="n">destination</span><span class="p">)</span> <span class="ow">and</span> <span class="bp">self</span><span class="o">.</span><span class="n">poids</span><span class="o">==</span><span class="n">arc</span><span class="o">.</span><span class="n">poids</span><span class="p">)</span></div>
    
<div class="viewcode-block" id="Arc.augmente_poids"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc.augmente_poids">[docs]</a>    <span class="k">def</span> <span class="nf">augmente_poids</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;self*int-&gt;int</span>
<span class="sd">        Augmente le poids de l&#39;arc de valeur&quot;&quot;&quot;</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">poids</span><span class="o">+=</span><span class="n">valeur</span></div>
    
<div class="viewcode-block" id="Arc.diminue_poids"><a class="viewcode-back" href="../tec_doc.html#Arc.Arc.diminue_poids">[docs]</a>    <span class="k">def</span> <span class="nf">diminue_poids</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;self*int-&gt;int</span>
<span class="sd">        Diminue le poids de l&#39;arc de valeur&quot;&quot;&quot;</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">poids</span><span class="o">-=</span><span class="n">valeur</span></div>
    
    <span class="k">def</span> <span class="nf">affiche_arc</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="nb">print</span><span class="p">(</span><span class="s2">&quot;origine(</span><span class="si">%d</span><span class="s2">,</span><span class="si">%d</span><span class="s2">) ; destination(</span><span class="si">%d</span><span class="s2">,</span><span class="si">%d</span><span class="s2">) ; poids(</span><span class="si">%d</span><span class="s2">)&quot;</span><span class="o">%</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">.</span><span class="n">x</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">.</span><span class="n">y</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">.</span><span class="n">x</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">.</span><span class="n">y</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">poids</span><span class="p">),</span><span class="n">end</span><span class="o">=</span><span class="s2">&quot;;&quot;</span><span class="p">)</span></div>
</pre></div>

          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="Index général"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="../index.html">Segmentation Image home</a>| </li>
<li><a href="../contents.html">Documentation </a> &raquo;</li>

          <li class="nav-item nav-item-1"><a href="index.html" >Code du module</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, Cecile Prouteau.
      Créé avec <a href="http://sphinx-doc.org/">Sphinx</a> 1.7.9.
    </div>
  </body>
</html>